More ticket #972: fixed compilation error on Linux due to the last introduction ot PJ_TCP_NODELAY. Everyone needs to re-run configure though (thanks Dan Arrhenius for the report)

git-svn-id: https://svn.pjsip.org/repos/pjproject/trunk@2962 74dad513-b988-da41-8d7b-12977e46ad98
This commit is contained in:
Benny Prijono 2009-10-24 00:00:40 +00:00
parent 64e1787e08
commit 1d61ba5e51
8 changed files with 144 additions and 0 deletions

View File

@ -6379,6 +6379,139 @@ _ACEOF
fi
if test "${ac_cv_header_netinet_tcp_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for netinet/tcp.h" >&5
echo $ECHO_N "checking for netinet/tcp.h... $ECHO_C" >&6; }
if test "${ac_cv_header_netinet_tcp_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_netinet_tcp_h" >&5
echo "${ECHO_T}$ac_cv_header_netinet_tcp_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking netinet/tcp.h usability" >&5
echo $ECHO_N "checking netinet/tcp.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <netinet/tcp.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking netinet/tcp.h presence" >&5
echo $ECHO_N "checking netinet/tcp.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <netinet/tcp.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: netinet/tcp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: netinet/tcp.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: netinet/tcp.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: netinet/tcp.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: netinet/tcp.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: netinet/tcp.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: netinet/tcp.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: netinet/tcp.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: netinet/tcp.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for netinet/tcp.h" >&5
echo $ECHO_N "checking for netinet/tcp.h... $ECHO_C" >&6; }
if test "${ac_cv_header_netinet_tcp_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_netinet_tcp_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_netinet_tcp_h" >&5
echo "${ECHO_T}$ac_cv_header_netinet_tcp_h" >&6; }
fi
if test $ac_cv_header_netinet_tcp_h = yes; then
cat >>confdefs.h <<\_ACEOF
#define PJ_HAS_NETINET_TCP_H 1
_ACEOF
fi
if test "${ac_cv_header_ifaddrs_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for ifaddrs.h" >&5
echo $ECHO_N "checking for ifaddrs.h... $ECHO_C" >&6; }

View File

@ -150,6 +150,7 @@ AC_CHECK_HEADER(netinet/ip.h,[AC_DEFINE(PJ_HAS_NETINET_IP_H,1)],[],
# include <netinet/in_systm.h>
#endif
])
AC_CHECK_HEADER(netinet/tcp.h,[AC_DEFINE(PJ_HAS_NETINET_TCP_H,1)])
AC_CHECK_HEADER(ifaddrs.h,[AC_DEFINE(PJ_HAS_IFADDRS_H,1)])
AC_CHECK_HEADER(semaphore.h,[AC_DEFINE(PJ_HAS_SEMAPHORE_H,1)])
AC_CHECK_HEADER(setjmp.h,[AC_DEFINE(PJ_HAS_SETJMP_H,1)])

View File

@ -54,6 +54,7 @@
#undef PJ_HAS_NETINET_IN_SYSTM_H
#undef PJ_HAS_NETINET_IN_H
#undef PJ_HAS_NETINET_IP_H
#undef PJ_HAS_NETINET_TCP_H
#undef PJ_HAS_NET_IF_H
#undef PJ_HAS_IFADDRS_H
#undef PJ_HAS_SEMAPHORE_H

View File

@ -35,6 +35,7 @@
#define PJ_HAS_MALLOC_H 0
#define PJ_HAS_NETDB_H 1
#define PJ_HAS_NETINET_IN_H 1
#define PJ_HAS_NETINET_TCP_H 1
#define PJ_HAS_SETJMP_H 1
#define PJ_HAS_STDARG_H 1
#define PJ_HAS_STDDEF_H 1

View File

@ -35,6 +35,7 @@
#define PJ_HAS_MALLOC_H 0
#define PJ_HAS_NETDB_H 1
#define PJ_HAS_NETINET_IN_H 1
#define PJ_HAS_NETINET_TCP_H 0
#define PJ_HAS_SETJMP_H 1
#define PJ_HAS_STDARG_H 1
#define PJ_HAS_STDDEF_H 1

View File

@ -41,6 +41,7 @@
#define PJ_HAS_MALLOC_H 1
#define PJ_HAS_NETDB_H 0
#define PJ_HAS_NETINET_IN_H 0
#define PJ_HAS_NETINET_TCP_H 0
#define PJ_HAS_SETJMP_H 1
#define PJ_HAS_STDARG_H 1
#define PJ_HAS_STDDEF_H 1

View File

@ -40,6 +40,7 @@
#define PJ_HAS_MALLOC_H 1
#define PJ_HAS_NETDB_H 0
#define PJ_HAS_NETINET_IN_H 0
#define PJ_HAS_NETINET_TCP_H 0
#define PJ_HAS_SETJMP_H 1
#define PJ_HAS_STDARG_H 1
#define PJ_HAS_STDDEF_H 1

View File

@ -104,6 +104,11 @@
# include <netinet/ip.h>
#endif
#if defined(PJ_HAS_NETINET_TCP_H) && PJ_HAS_NETINET_TCP_H != 0
/* To pull in TCP_NODELAY constants */
# include <netinet/tcp.h>
#endif
#if defined(PJ_HAS_NET_IF_H) && PJ_HAS_NET_IF_H != 0
/* For interface enumeration in ip_helper */
# include <net/if.h>